commit:     b24ef30ed3852077e9397ff244470027fcbfadc7
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  7 03:29:51 2023 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Fri Apr  7 03:29:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b24ef30e

app-text/crqt-ng: bump to 1.0.11

Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 app-text/crqt-ng/Manifest              |  1 +
 app-text/crqt-ng/crqt-ng-1.0.11.ebuild | 41 ++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-text/crqt-ng/Manifest b/app-text/crqt-ng/Manifest
index 3f8f2d78747c..eea43f2b0873 100644
--- a/app-text/crqt-ng/Manifest
+++ b/app-text/crqt-ng/Manifest
@@ -1 +1,2 @@
+DIST crqt-ng-1.0.11.tar.bz2 442916 BLAKE2B 
3eb4c73f1c3b3c88d92cb6ed5bf4895329caab1391c7be05dc0ccc1a65546f7761ee7af6246045be70137fd8683e2bfc5fb41df3dad604177ae4c0351f44c74e
 SHA512 
62bb4b8a3dec3dd9fba5e1a2795f384e5310b87800d89e15b7f4fe258eb923481f1264ec23645b09f5ae89822e332d1499aeca0a79efab21124b43deec3ada44
 DIST crqt-ng-1.0.9.tar.bz2 435826 BLAKE2B 
771b073fadf6f1bc9ddf7887603aaf6081d54c2effd548523f7afbb8b6bdf20d21bf55c1c37101662c2b851e932c6b4dce777c8e9160b059dbb1daed499db1c4
 SHA512 
b4f395be1d2029024dfb064f38db2ea372587151de1f5fae3cef492d4285d6ce597bc93a48d98594c5b703db8c99ba29cd9afdaae4c39b80b53cf6a7bafdbb97

diff --git a/app-text/crqt-ng/crqt-ng-1.0.11.ebuild 
b/app-text/crqt-ng/crqt-ng-1.0.11.ebuild
new file mode 100644
index 000000000000..c06677c451df
--- /dev/null
+++ b/app-text/crqt-ng/crqt-ng-1.0.11.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PLOCALES="bg cs hu nl ru uk"
+inherit cmake plocale xdg
+
+DESCRIPTION="Cross-platform e-book reader"
+HOMEPAGE="https://gitlab.com/coolreader-ng/crqt-ng";
+SRC_URI="https://gitlab.com/coolreader-ng/${PN}/-/archive/${PV}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+gif +svg +chm +harfbuzz +libunibreak +fribidi +zstd +libutf8proc"
+
+CDEPEND=">=app-text/crengine-ng-0.9.7[png,jpeg,fontconfig,gif=,svg=,chm=,harfbuzz=,fribidi=,zstd=,libutf8proc=]
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtwidgets:5"
+RDEPEND="${CDEPEND}"
+BDEPEND="${CDEPEND}
+       dev-qt/linguist-tools:5"
+
+src_prepare() {
+       cmake_src_prepare
+       xdg_environment_reset
+
+       # locales
+       plocale_find_changes "${S}"/src/i18n 'crqt_' '.ts'
+       sed -e "s|set(LANGUAGES .*)|set(LANGUAGES $(plocale_get_locales))|i" \
+               -i "${S}"/src/CMakeLists.txt \
+               || die "sed CMakeLists.txt failed"
+}
+
+src_configure() {
+       CMAKE_USE_DIR="${S}"
+       CMAKE_BUILD_TYPE="Release"
+       local mycmakeargs=(-DUSE_QT=QT5)
+       cmake_src_configure
+}

Reply via email to